# std::stop_source::swap

From cppreference.com
< cpp‎ | thread‎ | stop source

void swap( std::stop_source & other ) noexcept; |  | (since C++20)

Exchanges the stop-state of *this and other.

### Parameters

other | - | `stop_source` to exchange the contents with

### Return value

(none)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/thread/stop_source/swap&oldid=161263"